Name server node service 22 matching interfaces
Count matching NS nodes countAllNSNodesMatch
POST /NSNodeService/countAllNSNodesMatch
Definition file service_ns_node.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc countAllNSNodesMatch ( CountAllNSNodesMatchRequest ) returns ( RPCCountResponse );
Request message CountAllNSNodesMatchRequestCount matching NS nodes
Request message · Field definitions Copy codemessage CountAllNSNodesMatchRequest {
int64 nsClusterId = 1 ;
int32 installState = 2 ;
int32 activeState = 3 ;
string keyword = 4 ;
//int64 nodeGroupId = 5;
//int64 nodeRegionId = 6;
}
Response message RPCCountResponseReturn the count
Response message · Field definitions Copy codemessage RPCCountResponse {
int64 count = 1 ;
}